services:
  valkey:
    image: valkey/valkey:latest
    container_name: valkey-server
    ports:
      - "6379:6379"
    volumes:
      - valkey_data:/data
    restart: unless-stopped
    deploy:
    resources:
      limits:
        cpus: '2.0'
        memory: 4000M

volumes:
  valkey_data: